#ifndef __VXBOOT_GUI_H__
# define __VXBOOT_GUI_H__

#include <stddef.h>
#include <stdint.h>

/* internal GUI information */
struct gui_meta {
	struct {
		int anchor;
		int select;
		int count;
		int line;
	} list;
	struct {
		int x;
		int y;
		int width;
		int offset;
	} scroll;
};

/* gui_main() : main entry for the GUI */
extern void gui_main(void);

/* gui_fx9860g_display() : fx9860-specific display */
extern void gui_fx9860g_display(struct gui_meta *gui);

/* gui_fxcg50_display() : fxcg50-specific display */
extern void gui_fxcg50_display(struct gui_meta *gui);

#endif /*__VXBOOT_GUI_H__*/
